# Interface IScopeChangedListener

public interface IScopeChangedListener
A listener which is notified when the scope for the search page is changed.

Since:
  3.38
See Also:
  - `IScopeChangeProvider`
  - `ScopeChangedEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`scopeChanged(ScopeChangedEvent event)`
Notifies that the selected scope has changed.

## Method Details

### scopeChanged

void scopeChanged(ScopeChangedEvent event)
Notifies that the selected scope has changed.

Parameters:
  `event` - event object describing the change